apiVersion: dapr.io/v1alpha1
kind: Component
metadata:
  name: my-redis-cache
spec:
  type: state.redis
  version: v1
  metadata:
  - name: redisHost
    value: presence-cache:6379
  - name: redisUsername
    value: default
  - name: redisPassword
    secretKeyRef:
      name: redisPassword
      key: redisPassword
auth:
  secretStore: file-secret-store